Error Localizacion Argentina

Inicio Foros Foro principal Instalación y Configuración Error Localizacion Argentina

  • Este debate está vacío.
Viendo 6 entradas - de la 1 a la 6 (de un total de 6)
  • Autor
    Entradas
  • #31337
    Dario Parente
    Miembro

    Hola.

    Instale el libertya 10.03 en slackware con base de datos internacional, el sistema me funciona bien, lo unico es que cuando quiero pasar a localizacion argentina me genera el siguiente error.

    Activacion de localizacion.

    Error. No fue posible activar la localizacion: Argentina. ERROR:

    funtion activate_locale_ar (boolean) doest not exist.

    Me podrian ayudar para saber porque me sale este error?
    POdria ser algo de PLJAVA o PLPSQL?

    gracias

    libertya_10.png

    #34229

    Pienso que deberías instalar la versión argentina de una, y no intentar activarla a partir de la internacional. No creo que este pensado para que funcione así… al menos en mi opinión.

    #34231
    Federico Cristina
    Superadministrador

    Tal como te han explicado, para la localización Argentina ya existe una base de datos lista para utilizar, no es necesario que realices el procedimiento que detallás.

    El proceso de aplicación del componente Locale_AR ya lo hemos realizado nosotros y es por ésto que en la sección descargas hay dos links separados para cada versión de base de datos.

    Saludos,
    Federico

    #34233
    Dario Parente
    Miembro

    SI es un alternativa, pero como estaba viendo en los curso que dan, teniendo ya instalada la localizacion internacional se puede cambiar a la localizacion argentina, ese paso lo intente y me dio ese error.
    En los cursos, atraves del espacio webex, se mostro que se podia hacer y anduvo bien.
    A mi me da ese error por eso queria llegar a ver, debido a que podria ser.

    #34234

    El error se debe a que no esta correctamente instalada la extension PLPSQL y/o PL/Java en la base de datos.
    En particular, creo que es el PLPSQL. Para verificar si el PLJAva esta correctamente instalado (y descartar que sea eso) puedes ingresar en la ventana de busqueda de articulos (desde el menu , haciendo click en un campo “articulo” o con CTRL+I desde cualquier ventana. Si te muestra los articulos definidos, el PLJava esta correctamente instalado (ya que ahi se usan funciones de ese tipo) . De ser así, el problema es el PLPSQL. Hay una manera de instalarlo sobre una base funcionando, pero es posible que la instalación inicial haya dado algunos errores al crear algunas funciones.
    Lo mas recomendable es que hagas la instalación nuevamente.

    Para instalar el PLPSQL debes usar algo asi, cambiando el path del plpgsql.so:
    CREATE FUNCTION plpgsql_call_handler () RETURNS OPAQUE AS ‘/usr/local/pgsql/lib/plpgsql.so’ LANGUAGE ‘C’;
    CREATE LANGUAGE ‘plpgsql’ HANDLER plpgsql_call_handler LANCOMPILER ‘PL/pgSQL’;

    Saludos
    Antonio

    #34235
    Federico Cristina
    Superadministrador

    Es verdad que en versiones anteriores esto era posible de realizar. Sin embargo, debido a las ampliaciones y modificaciones que hemos estado desarrollando para la arquitectura de componentes, esta funcionalidad ha quedado deprecada, en beneficio de una nueva en la cual será posible descargar la versión internacional y luego instalar el componente Locale_AR mediante un archivo jar. Por el momento, esta actividad la realizamos nosotros a fin de facilitar la tarea a los usuarios finales, brindando dos bases de datos por separado.

    Es importante tener en cuenta que si utilizás la funcionalidad que mencionás para activar la localización Argentina, la base de datos resultante no será 100% compatible con el framework de actualización de componentes.

    Saludos,
    Federico

Viendo 6 entradas - de la 1 a la 6 (de un total de 6)
  • Debes estar registrado para responder a este debate.